> ## Documentation Index
> Fetch the complete documentation index at: https://docs.stateset.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create a zone

> Create a zone

### Request body

`CreateShippingZoneRequest`

<ParamField body="countries" type="string[]" required />

<ParamField body="name" type="string" required />

<ParamField body="postal_codes" type="array,null" />

<ParamField body="priority" type="integer,null (int32)" />

<ParamField body="regions" type="array,null" />

### Responses

<ResponseField name="201" type="ShippingZoneResponse" />

<ResponseField name="400" type="ErrorBody" />

<RequestExample>
  ```bash cURL theme={null}
  curl --request POST \
    --url 'https://api.stateset.com/api/v1/shipping-zones' \
    --header 'Authorization: Bearer YOUR_API_KEY' \
    --header 'Content-Type: application/json' \
    --data '{
    "countries": [
      "string"
    ],
    "name": "string",
    "postal_codes": null,
    "priority": null,
    "regions": null
  }'
  ```
</RequestExample>

<ResponseExample>
  ```json 201 theme={null}
  {
    "countries": [
      "string"
    ],
    "created_at": "string",
    "id": "string",
    "is_active": true,
    "name": "string",
    "priority": 1
  }
  ```
</ResponseExample>
